Autodesk Inventor API. Первые шаги/Уровень 2D эскиза

Материал из Викиучебника — открытых книг для открытого мира
Перейти к навигации Перейти к поиску

Работа на уровне 2D эскиза[править]

Отложить обновление эскиза до завершения еги изменения[править]

Может серьезно ускорить работу программы.


Биссектриса плоского угла[править]

Построить линию биссектрисы, ассоциативно связанную с линиями, образующими угол.

Учесть возможность вырожденной конфигурации — угла 180 градусов.

Желательно обеспечить неизменноть направления (вектора) линии биссектрисы при переходе угла в область свыше 180 градусов.


Изменить цвет эскизного элемента[править]

Эта демонстрационная программа делает зеленой первую эскизную линию открытого для редактирования эскиза.

Public Sub ChangeLineColor()
   
   'полагаем, что эскиз активирован для редактирования
   Dim oSketch As Sketch
   Set oSketch = ThisApplication.ActiveEditObject
   
   '  "создаем" зеленый цвет
   Dim oColor As Color
   Set oColor = ThisApplication.TransientObjects.CreateColor(0, 255, 0)
   
   'переопределяем цвет эскизного элемента
   oSketch.SketchLines(1).OverrideColor = oColor
   
End Sub

Поставить точку на сплайне на определенном расстоянии от его начала[править]

Расставить на сплайне равномерно N точек[править]